Page MenuHomePhabricator

VE hangs on loading an article with a gallery tag containg a video
Closed, ResolvedPublic1 Story Points

Description

The article w:no:Lotte Reiniger fails to load in VisualEditor, with an error message

TypeError: img is null[Learn More] ve.dm.MWGalleryImageNode.js:71:4
	ve.dm.MWGalleryImageNode.static.toDataElement https://no.wikipedia.org/w/extensions/VisualEditor/modules/ve-mw/dm/nodes/ve.dm.MWGalleryImageNode.js:71:4
	ve.dm.Converter.prototype.createDataElements https://no.wikipedia.org/w/extensions/VisualEditor/lib/ve/src/dm/ve.dm.Converter.js:511:18
	ve.dm.Converter.prototype.getDataFromDomSubtree https://no.wikipedia.org/w/extensions/VisualEditor/lib/ve/src/dm/ve.dm.Converter.js:815:25
	ve.dm.Converter.prototype.getDataFromDomSubtree https://no.wikipedia.org/w/extensions/VisualEditor/lib/ve/src/dm/ve.dm.Converter.js:941:8
	ve.dm.Converter.prototype.getDataFromDomSubtree https://no.wikipedia.org/w/extensions/VisualEditor/lib/ve/src/dm/ve.dm.Converter.js:941:8
	ve.dm.Converter.prototype.getModelFromDom https://no.wikipedia.org/w/extensions/VisualEditor/lib/ve/src/dm/ve.dm.Converter.js:585:9
	ve.init.mw.Target.static.createModelFromDom https://no.wikipedia.org/w/extensions/VisualEditor/modules/ve-mw/init/ve.init.mw.Target.js:176:10
	ve.init.mw.Target.prototype.setupSurface/< https://no.wikipedia.org/w/extensions/VisualEditor/modules/ve-mw/init/ve.init.mw.Target.js:371:11

Note that the gallery-tag had a strange construct. Tried to clean it up, but the problem persists.

The third entry in the gallery, which is a video, triggers the bug.

Videos has been moved to thumbs, so article can be edited.

A minimal page with the bug is https://no.wikipedia.org/w/index.php?title=Bruker:Jeblad/test-gallery-tag&oldid=18362660

Previous testing was with webm-files, same problem with an ogv-file.

Event Timeline

jeblad created this task.Mar 24 2018, 8:05 PM
Restricted Application added subscribers: Danmichaelo, Aklapper. · View Herald TranscriptMar 24 2018, 8:05 PM
jeblad updated the task description. (Show Details)
jeblad updated the task description. (Show Details)Mar 24 2018, 8:33 PM
jeblad updated the task description. (Show Details)Mar 24 2018, 8:37 PM
jeblad renamed this task from VE hangs on loading an article for editing to VE hangs on loading an article with a gallery tag containg a video.Mar 24 2018, 8:42 PM
jeblad updated the task description. (Show Details)Mar 24 2018, 8:57 PM
jeblad updated the task description. (Show Details)Mar 24 2018, 8:59 PM
jeblad updated the task description. (Show Details)Mar 24 2018, 9:02 PM
Esanders triaged this task as High priority.Mar 25 2018, 9:01 PM
Esanders added a subscriber: matmarex.

Change 421800 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Match audio & video elements in gallery DOM

https://gerrit.wikimedia.org/r/421800

Esanders claimed this task.Mar 25 2018, 9:10 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 421800 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Match audio & video elements in gallery DOM

https://gerrit.wikimedia.org/r/421800

jeblad added a comment.Apr 8 2018, 1:20 PM

Seems like VE does not hang anymore, but there are still no thumbnail.

Deskana closed this task as Resolved.Apr 9 2018, 12:28 PM
Deskana set the point value for this task to 1.

Seems like VE does not hang anymore, but there are still no thumbnail.

Looks like this was filed as T191098: Thumbnail for a video inside a gallery is missing and Ed fixed it at the same time. Both fixes should be deployed to Wikimedia wikis this week.